Subject: bug#20154: 25.0.50; json-encode-string is too slow for large strings

From: Dmitry Gutov <[email-masked]>
Date: Mon, 23 Mar 2015 00:57:19 +0200

On 03/20/2015 06:02 PM, Eli Zaretskii wrote:

> I suggest to rewrite json-encode-char, it does a lot of unnecessary
> stuff, starting with the call to encode-char (which was needed in
> Emacs 22 and before, but no more).

Continuing this line of thought, should we also remove the alias for 
`decode-char', as well as its one use in `json-read-escaped-char'?